Subject: dll problem
From: [email-masked] (Edward Maros)

6 Mar 1998 01:50:55 -0800
Message-ID: <199802271725.JAA03365.cygnus.gnu-win32@zaurak>
Reply-To: Edward Maros <[email-masked]>
Mime-Version: 1.0
Content-Type: TEXT/plain; charset=us-ascii
To: [email-masked]
Cc: [email-masked]

When I try the demo program to create a non-relocatable dll, I get the
following warning message:

ld: warming: cannot find entry symbol _mainCRTStartup; defaulting to
00401000

When I run main, I get a message box with the following error:
The C:\HOME\EMAROS\DLLS\FOO.DLL file
can't load at the desired address, and is not relacatable.
Contact your vendor to get a version taht is compatible with this
version of Windows.

and at the command prompt:
bash.exe: ./main: (null)

When trying to run the relocatable version, I get:
bash.exe: ./main: (null)

with a prompt box of:

Unable to run c:\home\emaros\rdll\main.exe

I used: building-dlls.txt and building-reloc-dlls.txt from the cygnus
home page. I am using gnu-win32-b18.

Thanks,
Ed
------
Edward Maros				[email-masked]

-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".